"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOutputErrorMessage = exports.createOutputOrderStatusMessage = exports.createPrintLabelMessage = exports.createTrackingRequeueMessage = exports.createTrackingMessage = exports.createHealthCheckMessage = exports.createHealthStatusMessage = exports.createUpdateOrderMessage = exports.createSaveOrderMessage = exports.createNewOrderMessage = exports.createCancelOrderMessage = void 0;
const types_1 = require("../types");
const utils_1 = require("../utils");
const createCancelOrderMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderCancel),
});
exports.createCancelOrderMessage = createCancelOrderMessage;
const createNewOrderMessage = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.Order, carrierId),
});
exports.createNewOrderMessage = createNewOrderMessage;
const createSaveOrderMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderSave),
});
exports.createSaveOrderMessage = createSaveOrderMessage;
const createUpdateOrderMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderUpdate),
});
exports.createUpdateOrderMessage = createUpdateOrderMessage;
const createHealthStatusMessage = () => ({
    exchange: types_1.RabbitMQExchange.HealthStatus,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.HealthStatus),
});
exports.createHealthStatusMessage = createHealthStatusMessage;
const createHealthCheckMessage = () => ({
    exchange: types_1.RabbitMQExchange.HealthCheck,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.HealthCheck),
});
exports.createHealthCheckMessage = createHealthCheckMessage;
const createTrackingMessage = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Tracking,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderTracking, carrierId),
});
exports.createTrackingMessage = createTrackingMessage;
const createTrackingRequeueMessage = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.TrackingRequeue,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderTracking, carrierId),
});
exports.createTrackingRequeueMessage = createTrackingRequeueMessage;
const createPrintLabelMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.PrintLabel),
});
exports.createPrintLabelMessage = createPrintLabelMessage;
const createOutputOrderStatusMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderStatusOutput),
});
exports.createOutputOrderStatusMessage = createOutputOrderStatusMessage;
const createOutputErrorMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OutputError),
});
exports.createOutputErrorMessage = createOutputErrorMessage;
//# sourceMappingURL=definitions.js.map