import { RabbitMQExchange } from './types';
import { IHealthStatusMessage, IMessageEnvelope, IOrderCancelMessage, IOrderCreateMessage, IOutputErrorMessage, ITrackingMessage } from './messages';
import { IOrderUpdateMessage } from './messages/orderUpdate.interface';
export interface IRabbitMQService {
    sendCreateOrderMessage: (message: IMessageEnvelope<IOrderCreateMessage>) => void;
    sendCancelOrderMessage: (message: IMessageEnvelope<IOrderCancelMessage>) => void;
    sendUpdateOrderMessage: (message: IMessageEnvelope<IOrderUpdateMessage>) => void;
    sendOutputOrderStatusMessage: (message: IMessageEnvelope<ITrackingMessage>) => void;
    sendHealthStatusMessage: (message: IMessageEnvelope<IHealthStatusMessage>) => void;
    sendHealthCheckMessage: (message: IMessageEnvelope<never>) => void;
    sendTrackingMessage: (message: IMessageEnvelope<ITrackingMessage>) => void;
    sendTrackingRequeueMessage: (message: IMessageEnvelope<ITrackingMessage>) => void;
    sendPrintLabelMessage: (message: IMessageEnvelope<ITrackingMessage>) => void;
    sendOutputErrorMessage: (message: IMessageEnvelope<IOutputErrorMessage>) => void;
}
export interface IRabbitMQMessage {
    exchange: RabbitMQExchange;
    routingKey: string;
}
//# sourceMappingURL=rabbitmq.interface.d.ts.map