import { IOrderCreateMessage } from '../../services/rabbitmq/messages/orderCreate.interface';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { IRabbitMQService } from './rabbitmq.interface';
import { IHealthStatusMessage, IMessageEnvelope, IOrderCancelMessage, IOrderUpdateMessage, IOutputErrorMessage, ITrackingMessage } from './messages';
export declare class RabbitMQService implements IRabbitMQService {
    private readonly amqpConnection;
    constructor(amqpConnection: AmqpConnection);
    sendCancelOrderMessage(message: IMessageEnvelope<IOrderCancelMessage>): void;
    sendHealthStatusMessage(message: IMessageEnvelope<IHealthStatusMessage>): void;
    sendHealthCheckMessage(message: IMessageEnvelope<never>): void;
    sendCreateOrderMessage(message: IMessageEnvelope<IOrderCreateMessage>): void;
    sendSaveOrderMessage(message: IMessageEnvelope<IOrderCreateMessage>): void;
    sendUpdateOrderMessage(message: IMessageEnvelope<IOrderUpdateMessage>): void;
    sendTrackingMessage(message: IMessageEnvelope<ITrackingMessage>): void;
    sendTrackingRequeueMessage(message: IMessageEnvelope<ITrackingMessage>): void;
    sendPrintLabelMessage(message: IMessageEnvelope<ITrackingMessage>): void;
    sendOutputOrderStatusMessage(message: IMessageEnvelope<ITrackingMessage>): void;
    sendOutputErrorMessage(message: IMessageEnvelope<IOutputErrorMessage>): void;
}
//# sourceMappingURL=rabbitmq.service.d.ts.map