"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitMQService = void 0;
const definitions_1 = require("./messages/definitions");
const messages_1 = require("./messages");
class RabbitMQService {
    constructor(amqpConnection) {
        this.amqpConnection = amqpConnection;
    }
    sendCancelOrderMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createCancelOrderMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendHealthStatusMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createHealthStatusMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendHealthCheckMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createHealthCheckMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendCreateOrderMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createNewOrderMessage)(message.data.carrierId);
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendSaveOrderMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createSaveOrderMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendUpdateOrderMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createUpdateOrderMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendTrackingMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createTrackingMessage)(message.data.carrierId);
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendTrackingRequeueMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createTrackingMessage)(message.data.carrierId);
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendPrintLabelMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createPrintLabelMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendOutputOrderStatusMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createOutputOrderStatusMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
    sendOutputErrorMessage(message) {
        const { exchange, routingKey } = (0, messages_1.createOutputOrderStatusMessage)();
        this.amqpConnection.publish(exchange, routingKey, message);
    }
}
exports.RabbitMQService = RabbitMQService;
//# sourceMappingURL=rabbitmq.service.js.map